summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Bidigaray <teco.sb@gmail.com>2010-05-12 23:30:16 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-12 23:30:16 +0200
commitfcac2270b9f9cc24ed12de41dc5a05656a97295d (patch)
tree3d0f47cc1e5efa77a2ed5c7d7ad760ca34dab10e
parent29ad0852064a5507aa9ff0498b816c9385a1e582 (diff)
downloadslackbuilds-fcac2270b9f9cc24ed12de41dc5a05656a97295d.tar.gz
libraries/gnustep-back: Added to 12.2 repository
-rw-r--r--libraries/gnustep-back/README8
-rw-r--r--libraries/gnustep-back/gnustep-back.SlackBuild66
-rw-r--r--libraries/gnustep-back/gnustep-back.info8
-rw-r--r--libraries/gnustep-back/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/libraries/gnustep-back/README b/libraries/gnustep-back/README
new file mode 100644
index 0000000000..7d5548325a
--- /dev/null
+++ b/libraries/gnustep-back/README
@@ -0,0 +1,8 @@
+GNUstep-back provides a small set of functions used by the
+GNUstep GUI library to interface to the actual window system
+(X11, etc). It also has a drawing engine which emulates common
+PostScript functions.
+This script builds the cairo backend due to a bug in the more
+stable art backend that crashes all GUI applications.
+
+Requires: gnustep-make gnustep-base gnustep-gui
diff --git a/libraries/gnustep-back/gnustep-back.SlackBuild b/libraries/gnustep-back/gnustep-back.SlackBuild
new file mode 100644
index 0000000000..d659ba1218
--- /dev/null
+++ b/libraries/gnustep-back/gnustep-back.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for GNUstep's Back library.
+
+# Written by Stefan Bidigaray
+
+PRGNAM=gnustep-back
+VERSION=0.16.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Optional Parameter
+BACKEND=${BACKEND:-cairo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+export GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCLAGS" \
+./configure \
+ --enable-graphics=$BACKEND
+make
+make DESTDIR=$PKG install
+unset GNUSTEP_INSTALLATION_DOMAIN
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* README NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gnustep-back/gnustep-back.info b/libraries/gnustep-back/gnustep-back.info
new file mode 100644
index 0000000000..75380e6d91
--- /dev/null
+++ b/libraries/gnustep-back/gnustep-back.info
@@ -0,0 +1,8 @@
+PRGNAM="gnustep-back"
+VERSION="0.16.0"
+HOMEPAGE="http://www.gnustep.org"
+DOWNLOAD="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-0.16.0.tar.gz"
+MD5SUM="31a16abe7c19914c6fe1300881f6c6ab"
+MAINTAINER="Stefan Bidigaray"
+EMAIL="teco.sb@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/gnustep-back/slack-desc b/libraries/gnustep-back/slack-desc
new file mode 100644
index 0000000000..a21420f783
--- /dev/null
+++ b/libraries/gnustep-back/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+gnustep-back: gnustep-back (GNUstep Back library)
+gnustep-back:
+gnustep-back: GNUstep is a cross-platform, object-oriented framework for
+gnustep-back: desktop application development. It is based on the OPENSTEP
+gnustep-back: specification originally published by NeXT (now Apple).
+gnustep-back:
+gnustep-back: GNUstep's Back is used by the GUI library to draw on screen.
+gnustep-back:
+gnustep-back: Homepage: http://www.gnustep.org
+gnustep-back:
+gnustep-back: